Bug 970720 - Package installation shows as 'completed' even when no package is installed
Package installation shows as 'completed' even when no package is installed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Og Maciel
: Triaged
Depends On: 980948
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 13:09 EDT by Justin Sherrill
Modified: 2014-04-24 13:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-06-04 13:09:21 EDT
Description of problem:

Currently when installing a package it simply will say 'Package install completed' even if nothing is installed but the task was executed correctly.  Clicking on the event shows that no packages were installed, but some sort of status indicator would be good.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Register a client with katello-agent installed
2. Issue an install for some package that does not exist


Actual results:
"Package install completed" will show up in the UI.

Expected results:
"Package install failed" or "0 Packages installed"  Should show up in the UI as the status.

Additional info:
Comment 1 Brad Buckingham 2013-06-12 12:30:37 EDT
The 'completed' status is being driven by yum/pulp reporting that the task was successfully completed.  That said, it doesn't say much about what really happened during the action and change the status summary to be more descriptive (e.g. 'N packages installed' vs 'Package install completed').

Looking at the code, I'd like to handle this both for systems and system groups; however, they are not currently sharing that portion of code for status reporting.  Ideally, I want to refactor these 2 to share the common behavior; however, that is more than can be done in the near-term.

I'd propose we move this one to sat-6.0.2, unless it is viewed as a blocker.
Comment 2 Brad Buckingham 2013-06-12 12:32:55 EDT
Per discussion with QE, going to update the flags to target sat-6.0.2.
Comment 3 Hayk Hovsepyan 2013-06-20 10:30:19 EDT
The same happens when installing Errata.
When the name of errata is wrong or is excluded by content definition filters.
Comment 4 Brad Buckingham 2013-09-16 17:21:14 EDT
The Systems page (including Package, Errata...etc) has been moved over to the NuTupane.  As part of re-implementing the page, the above has been addressed.  As a result, moving this bug to 'POST'.
Comment 6 Og Maciel 2013-10-20 20:17:45 EDT
Verified:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 9 Bryan Kearney 2014-04-24 13:09:42 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 10 Bryan Kearney 2014-04-24 13:11:08 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.